<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Enquire;use App\Setting;
use Mail;
use App\Product;

class EnquiresController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $enquires = Enquire::orderBy('id', 'Desc')->get();
        return view('Backend.Enquires.list')->with('enquires',$enquires);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $rules = ['product_id' => 'required','name'=>'required','email'=>'required','message'=>'required'];

        $validation = $this->Validate($request,$rules);

        $admin      = Setting::where('id','=',7)->first();
        $product    = Product::find($request->product_id);
        $enquire = new Enquire;
        $enquire->product_id = $request->product_id;
        $enquire->name       = $request->name;
        $enquire->email      = $request->email;
        $enquire->message    = $request->message;
        $enquire->save();

        $name                       = $request->name; 
        $email_user                 = $request->email; 
        $message                    = $request->message;
        $product_title              = $product->title;
        $admin_email                = $admin->link;
        
        Mail::send('email.admin',[
            'name'                  => $name,
            'email'                 => $email_user,
            'message_body'          => $message,
            'product_title'         => $product_title
        ], 
        function($email)use($admin_email){
            $email->to($admin_email);
            $email->from('peterpetrouwebsite@gmail.com','Peter Petrou Works of Art');
            $email->subject('Peter Petrou Product Inquiry');
            $email->setContentType('text/html');
            
        });
        $message = "submited form";
        return response()->json(['status' => 'true', 'data' => $message]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $enquire = Enquire::find($id);
        return view('Backend.Enquires.show')->with('enquire',$enquire);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
