<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Storage;use App\Setting;
use Validator; use App\Social_link;

class SettingsController extends Controller
{
    public function index()
    {
        $logo_and_favi    = Setting::where('id','=',1)->orWhere('id','=',2)->get();
        $tagline          = Setting::where('id','=',3)->first();
        $admin_email      = Setting::where('id','=',7)->first();
        $designe_patner   = Setting::where('id','=',4)->orWhere('id','=',5)->orWhere('id','=',6)->get();
        $social_links     = Social_link::all();
        return view('Backend.Settings.list')->with('logo_and_favi',$logo_and_favi)
                ->with('tagline',$tagline)->with('designe_patner',$designe_patner)->with('social_links',$social_links)
                ->with('admin_email',$admin_email);
    }

    public function logo_favi(Request $request)
    {
        if($request->hasFile('logo'))
        {
            $setting = Setting::find(1);
            $image            = $request->file('logo'); 
            $filename         = rand(550,5500).'_'.time().'.'. $image->getClientOriginalExtension();
            $destination_path = 'public/Comman-Images';
            $image->storeAs($destination_path,$filename);
            $setting->image = $filename;
            $setting->update();
        }

        if($request->hasFile('favi'))
        {
            $setting = Setting::find(2);
            $image            = $request->file('favi'); 
            $filename         = rand(550,5500).'_'.time().'.'. $image->getClientOriginalExtension();
            $destination_path = 'public/Comman-Images';
            $image->storeAs($destination_path,$filename);
            $setting->image = $filename;
            $setting->update();
        }
        return redirect('setting')->with('alert-success', 'Logo and Favicon Updated Successfully');
    }

    public function tagline(Request $request)
    {
        $rules = ['tagline' => 'required'];

        $validator = Validator::make($request->all(), $rules);
        
        if ($validator->fails()) 
        {
            return redirect('setting')->with('alert-error', 'Please Enter Tag Line Do Not Empty');
        }
        else
        {
            $setting = Setting::find(3);
            $setting->title = $request->tagline;
            if($setting->update())
            {    
                return redirect('setting')->with('alert-success', 'Tag Line Updated Successfully');
            }
        }
    }

    public function footer(Request $request)
    {
        $rules = ['designe' => 'required','partner' => 'required','partner_link' => 'required','mobile_footer' => 'required'];

        $validator = Validator::make($request->all(), $rules);
        
        if ($validator->fails()) 
        {
            return redirect('setting')->with('alert-error', 'Do Not Empty Designe or Partner or Mobile Footer');
        }
        else 
        {
            if(isset($request->designe))
            {
                $setting = Setting::find(4);
                $setting->title = $request->designe;
                $setting->update();
            }
            if(isset($request->partner))
            {
                $setting = Setting::find(5);
                $setting->title = $request->partner;
                $setting->link = $request->partner_link;
                $setting->update();
            }
            if(isset($request->mobile_footer))
            {
                $setting = Setting::find(6);
                $setting->title = $request->mobile_footer;
                $setting->update();
            }
            return redirect('setting')->with('alert-success', 'Footer Setting Updated Successfully');
        }
    }

    public function create(Request $request)
    {
        $rules = ['title' => 'required','link' => 'required','icon' => 'required'];

        $validator = Validator::make($request->all(), $rules);
        
        if ($validator->fails()) 
        {
            return redirect('setting')->with('alert-error', 'Do Not Empty Social Title or Link and Icon');
        }
        else
        {
            $social_link = new Social_link;
            $social_link->title = $request->title; 
            $social_link->link  = $request->link;
            $social_link->icon  = $request->icon;
            if($social_link->save())
            {    
                return redirect('setting')->with('alert-success', 'Social Link Created Successfully');
            }
        }
    }

    public function destroy($id)
    {
        $social_link = Social_link::find($id);
        if($social_link->delete())
        {    
            return redirect('setting')->with('alert-error', 'Social Link Deleted Successfully');
        }
    }

    public function email(Request $request)
    {
        $rules = ['email' => 'required','name' => 'required'];

        $validator = Validator::make($request->all(), $rules);
        
        if ($validator->fails()) 
        {
            return redirect('setting')->with('alert-error', 'Please Enter Name And Email Do Not Empty');
        }
        else
        {
            $setting = Setting::find(7);
            $setting->title = $request->name;
            $setting->link = $request->email;
            if($setting->update())
            {    
                return redirect('setting')->with('alert-success', 'Name And Email Updated Successfully');
            }
        }
    }
}
