@extends('layouts.app')
@section('pagetitle', 'Product')
@section('subtitle', 'Edit')
@section('page_css')
<link href="{{url('assets/select2/css/select2.min.css')}}" rel="stylesheet" type="text/css"/>
<link rel="stylesheet" href="{{URL::asset('frontAssets/assets/css/fontAdd.css')}}" type="text/css"/>
<link href="{{url('assets/summernote/dist/summernote.css')}}" rel="stylesheet" type="text/css"/>
<style>
.btn-remove{
    position: inherit;
    left: 2%;
    color: red;
}
</style>
@endsection
@section('content')
        <div class="row">
            <div class="col-lg-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="{{ url('/') }}"><i class="fa fa-home"></i> Home</a></li>
                    <li><a href="{{ redirect()->back()->getTargetUrl() }}">@yield('pagetitle')</a></li>
                    <li class="active"><strong>@yield('subtitle')</strong></li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>
        <div class="row">
                <div class="col-lg-12">
                    <section class="panel">
                        <header class="panel-heading">
                            @yield('pagetitle') <small> @yield('subtitle') </small>
                        </header>
                        <div class="panel-body">
                            <form method="post" action="{{ url('product/update/'.$product->id) }}" class="form-horizontal tasi-form" enctype="multipart/form-data">
                                {{ csrf_field() }}
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Product Category</label>
                                    <div class="col-sm-10">
                                        <select class="js-example-basic-single form-control" name="category" id="category" required>
                                            <option></option>
                                            @foreach ($categories as $category)
                                            <option value="{{$category->id}}"
                                                @if($product->category_id == $category->id) selected @endif>{{$category->title}}</option>
                                            @endforeach
                                        </select>
                                        <small class="text-danger">{{ $errors->first('category') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Product Sub Category</label>
                                    <div class="col-sm-10">
                                        <select class="js-example-basic-single form-control" name="sub_category" id="sub_category" required>
                                            <option></option>
                                            <option value="{{$product->sub_category_id}}" selected>{{$product->sub_category->title}}</option>
                                        </select>
                                        <small class="text-danger">{{ $errors->first('sub_category') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Product Status</label>
                                    <div class="col-sm-10">
                                        <select class="js-example-basic-single form-control" name="status" id="status" required>
                                            <option></option>
                                            <option value="reserved" @if($product->status == 'reserved') selected @endif>Reserved</option>
                                            <option value="sold" @if($product->status == 'sold') selected @endif>Sold</option>
                                            <option value="open" @if($product->status == 'open') selected @endif>Open</option>
                                            <option value="archive" @if($product->status == 'archive') selected @endif>archive</option>
                                        </select>
                                        <small class="text-danger">{{ $errors->first('status') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Product Title</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="title" id="title" value="{{$product->title}}">
                                        <small class="text-danger">{{ $errors->first('title') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Product Slug</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="slug" id="slug" value="{{ $product->slug }}">
                                        <small class="text-danger">{{ $errors->first('slug') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Product Unique Id</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="unique_id" id="unique_id" value="{{ $product->unique_id }}">
                                        <small class="text-danger">{{ $errors->first('unique_id') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Short Description</label>
                                    <div class="col-sm-10">
                                        <textarea class="summernote form-control" name="short_description" id="short_description">{!! $product->short_description !!}</textarea>
                                        <small class="text-danger">{{ $errors->first('short_description') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Country</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="country" id="country" value="{{$product->country}}">
                                        <small class="text-danger">{{ $errors->first('country') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Date</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="date" id="date" value="{{$product->date}}">
                                        <small class="text-danger">{{ $errors->first('date') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Product Description</label>
                                    <div class="col-md-10">
                                    <textarea class="summernote form-control" name="description" id="description">{{$product->description}}</textarea>
                                        <small class="text-danger">{{ $errors->first('description') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Second Description</label>
                                    <div class="col-md-10">
                                    <textarea class="summernote form-control" name="second_description" id="second_description">{{$product->second_description}}</textarea>
                                        <small class="text-danger">{{ $errors->first('second_description') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Meta Title</label>
                                    <div class="col-sm-10">
                                        <input type="text" class="form-control" name="meta_title" id="meta_title" value="{{ $product->meta_title }}">
                                        <small class="text-danger">{{ $errors->first('meta_title') }}</small>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Meta Description</label>
                                    <div class="col-md-10">
                                        <textarea class="summernote form-control" name="meta_description" id="meta_description">{{ $product->meta_description }}</textarea>
                                        <small class="text-danger">{{ $errors->first('meta_description') }}</small>
                                    </div>
                                </div>
                                @php $has_hero = 0; @endphp
                                @foreach ($product->product_images as $item)
                                @if($item->type == 'thumbnail')
                                    <div class="form-group">
                                        <label class="col-sm-2 col-sm-2 control-label">Product Thumbnail Image</label>
                                        <div class="col-sm-10">
                                            <input type="file" class="form-control" name="thumbnail" id="thumbnail"  value="{{ old('thumbnail')}}" ><br>
                                            <small class="text-danger">{{ $errors->first('thumbnail') }}</small>
                                            <img  src="{{ asset('storage/Product-Images/'.$item->image) }}" height="100px" width="100px">
                                            <input class="form-control" name="thumbnail_id" type="hidden" value="{{$item->id}}">
                                        </div>
                                    </div>
                                @elseif($item->type == 'hero_image')
                                @php $has_hero = 1; @endphp

                                    <div class="form-group">
                                        <label class="col-sm-2 col-sm-2 control-label">Product Hero Image</label>
                                        <div class="col-sm-10">
                                            <input type="file" class="form-control" name="hero_image" id="hero_image"  value="{{ old('hero_image')}}" ><br>
                                            <small class="text-danger">{{ $errors->first('hero_image') }}</small>
                                            <img  src="{{ asset('storage/Product-Images/'.$item->image) }}" height="100px" width="100px">
                                            <input class="form-control" name="hero_image_id" type="hidden" value="{{$item->id}}">
                                        </div>
                                    </div>
                                @elseif($item->type == 'main_image')
                                    <div class="form-group">
                                        <label class="col-sm-2 col-sm-2 control-label">Product Main Image</label>
                                        <div class="col-sm-10">
                                            <input type="file" class="form-control" name="main_image" id="main_image"  value="{{ old('main_image')}}" ><br>
                                            <small class="text-danger">{{ $errors->first('main_image') }}</small>
                                            <img  src="{{ asset('storage/Product-Images/'.$item->image) }}" height="100px" width="100px">
                                            <input class="form-control" name="main_image_id" type="hidden" value="{{$item->id}}">
                                        </div>
                                    </div>
                                @endif
                                @endforeach
                                @if($has_hero==0)
                                <div class="form-group">
                                        <label class="col-sm-2 col-sm-2 control-label">Product Hero Image</label>
                                        <div class="col-sm-10">
                                            <input type="file" class="form-control" name="hero_image" id="hero_image"  value="" ><br>
                                            <small class="text-danger">{{ $errors->first('hero_image') }}</small>
                                            <input class="form-control" name="hero_image_id" type="hidden" value="">
                                        </div>
                                    </div>
                                @endif
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Product Gallery Images</label>
                                    <div class="col-sm-10">
                                        <input type="file" class="form-control" name="images[]" id="images"  value="{{ old('images')}}" multiple><br>
                                        <small class="text-danger">{{ $errors->first('images') }}</small>
                                            @foreach ($product->product_images as $item)
                                                @if($item->type == 'normal_image')
                                                    <span id="{{'image_div_'.$item->id}}">
                                                        <a href="JavaScript:void(0);" class="btn-remove" onclick="imageRemove({{$product->id}},{{$item->id}})"><i class="fa fa-times-circle-o fa-lg" aria-hidden="true"></i></a><img  src="{{ asset('storage/Product-Images/'.$item->image) }}" height="60px" width="60px" style="margin-right: 10px;">
                                                    </span>
                                                @endif
                                            @endforeach
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-success">Update</button>
                            </form>
                            </div>
                    </section>
                </div>
            </div>
@endsection
@section('page_js')
<script type="text/javascript">
    function imageRemove(product_id,image_id)
    {
        var image_confirm = confirm("Are you sure to delete this gallery image?");
        if(image_confirm == true)
        {
            var image_div = 'image_div_'+image_id;
            var url = "{!!url('/product/image-remove')!!}";
            var formData = {
                'product_id':product_id,
                'image_id':image_id,
                '_token': "{!!csrf_token()!!}",
            };
            $.ajax({
                type: "POST",
                url: url,
                data: formData,
                dataType: "json",
                success: function (data) {
                    console.log(data);
                    if(data.response == 'success')
                    {
                        $('#'+image_div).remove();
                    }
                },
                error: function (data) {
                }
            });
        }
    }
</script>
<script type="text/javascript" src="{{url('assets/select2/js/select2.min.js')}}"></script>
<!--select2-->
<script type="text/javascript">
    $(document).ready(function () {
        $(".js-example-basic-single").select2({
            placeholder: "Please Select..."
        });

        $(".select2_multiple").select2({
            placeholder: "Please Select..."
        });
    });
</script>
<!--summernote-->
<script type="text/javascript" src="{{url('assets/summernote/dist/summernote.min.js')}}"></script>
<script>
    jQuery(document).ready(function(){

        $('.summernote').summernote({
           height: 200,                 // set editor height
	    defaultFontName : "Sans-serif",
            minHeight: null,             // set minimum height of editor
            maxHeight: null,             // set maximum height of editor
            fontNamesIgnoreCheck: ["Sans-serif"],
            fontNames: ["Sans-serif","Roboto","Arial", "Arial Black", "Comic Sans MS", "Courier New",
                             "Helvetica Neue", "Helvetica", "Impact", "Lucida Grande",
                             "Tahoma", "Times New Roman", "Verdana","Gotham-Webfont"],
            focus: true                 // set focus to editable area after initializing summernote
        });
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {

        $(document).on('change','#category' ,function() {
            
            var cat_id=$(this).val();
            var op=" ";
           
            $.ajax({
                type:'get',
                url:'{!!URL::to('product/subcategory') !!}',
                data:{'id':cat_id},
                dataType:'json',
                success:function(data){
                    op+='<option value="" selected="selected"> Select Sub Category </option>';
                    for(var i=0;i<data.length;i++){
                        op+='<option value="'+ data[i].id+'"> '+ data[i].title+' </option>';
                    }
                    $('#sub_category').html(" ");
                    $('#sub_category').append(op);
                    $('#sub_category').val({{$product->sub_category_id}});
                    $('#sub_category').trigger('change')
                },
                error:function(){

                }
            });
        });
        
        $('#category').trigger('change');

    });
</script>
@endsection