@extends('layouts.app')
@section('pagetitle', 'Slider')
@section('subtitle', 'List')
@section('page_css')
@endsection
@section('content')
  <div class="row">
      <div class="col-lg-12">
          <!--breadcrumbs start -->
          <ul class="breadcrumb">
              <li><a href="{{ url('/') }}"><i class="fa fa-home"></i> Home</a></li>
              <li><a href="{{ url('/slider') }}">@yield('pagetitle')</a></li>
              <li class="active"><strong>@yield('subtitle')</strong></li>
          </ul>
          <!--breadcrumbs end -->
      </div>
  </div>
  <div class="row">
    <div class="col-sm-12">
      <section class="panel">
        <header class="panel-heading">
          @yield('pagetitle') <small> @yield('subtitle')</small>
          <span class="tools pull-right">
            <a href="javascript:;" class="fa fa-chevron-down"></a>
            <a href="javascript:;" class="fa fa-times"></a>
          </span>
        </header>
        <div class="panel-body">
          <div class="ibox-tools">
            <a href="{{ url('slider/create') }}" class="btn btn-primary btn-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Reply"><i class="fa fa-plus"></i> Add New</a>
          </div>
          <div class="adv-table">
            <table  class="display table table-bordered table-striped" id="dynamic-table">
              <thead>
              <tr>
                  <th>Sr.</th>
                  <th>Slider Image</th>
                  <th>Image Status</th>
                  <th>Action</th>
              </tr>
              </thead>
              <tbody>
              @php $counter = 0; @endphp
              @foreach($slider_images as $slider_image)
              @php $counter++ @endphp
              <tr class="gradeX">
                  <td>{{$counter}}</td>
                  <td>
                    <img alt="task-thumb" src="{{ asset('storage/Slider-Images/'.$slider_image->image) }}" width="50px" height="50px" style="border-radius: 50%;">
                  </td>
                  <td>
                    @if($slider_image->status == 1)
                      <a href="{{ url('slider/status/'.$slider_image->id)}}" class="btn btn-success btn-sm">Activate</a>
                    @else
                    <a href="{{ url('slider/status/'.$slider_image->id)}}" class="btn btn-danger btn-sm">Deactivate</a>
                    @endif
                  </td>
                  <td>
                    <a href="{{ url('slider/show/'.$slider_image->id)}}" class="btn btn-success btn-sm">View</a>
                    <a href="{{ url('slider/edit/'.$slider_image->id)}}" class="btn btn-primary btn-sm">Edit</a>
                    <a data-toggle="modal" data-target="#delete_{{$slider_image->id}}" class="btn btn-danger btn-sm">Delete</a>
                  </td>
              </tr>
                <!-- The Delete Modal start -->
                <div class="modal" id="delete_{{$slider_image->id}}">
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <div class="modal-header">
                        <h4 class="modal-title">Delete Slider Image</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                      </div>
                      
                      <!-- Modal body -->
                      <div class="modal-body">
                        <h4 style="text-align: center;">Are you sure, you want to delete this slider image?</h4>
                      </div>
                      
                      <!-- Modal footer -->
                      <div class="modal-footer">
                        <a href="{{url('slider/destroy/'.$slider_image->id)}}" class="btn btn-danger">Yes</a>
                        <button type="button" class="btn btn-danger" data-dismiss="modal">No</button>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- The Delete Modal End-->
              @endforeach
              </tbody>
              <tfoot>
              <tr>
                  <th>Sr.</th>
                  <th>Slider Image</th>
                  <th>Image Status</th>
                  <th>Action</th>
              </tr>
              </tfoot>
            </table>
          </div>
        </div>
      </section>
    </div>
  </div>
@endsection
@section('page_js')
<script src="{{URL::asset('assets/js/advanced-form-components.js')}}"></script>
@endsection